<template>
  <div class="container bg-white pb-5">
    <div class="row d-flex justify-content-start align-items-center mt-sm-5">
      <div class="col-lg-5 col-10">
        <div id="circle"></div>
        <div class="pb-5">
          <img
            src="https://image.freepik.com/free-vector/team-leader-teamwork-concept_74855-6671.jpg"
          />
        </div>
      </div>
      <div
        class="col-lg-4 offset-lg-2 col-md-6 offset-md-3"
        id="Containerlogin"
      >
        <button class="User" id="btnuser" @click="changeStatusPerson()">
          หางาน
        </button>
        <button class="Company" id="btncompany" @click="changeStatusCompany()">
          บริษัท
        </button>
        <div class="mt-3 mt-md-5" v-if="statusLoginPerson === true">
          <h5 class="textH5" id="textheader">เข้าสู่ระบบสำหรับคนหางาน</h5>
          <form class="pt-4">
            <div class="d-flex flex-column pb-3">
              <b-form-group
                :valid-feedback="validFeedbackUser"
                :invalid-feedback="invalidFeedbackUser"
                :state="stateUser"
                ><b-form-input
                  id="text-user"
                  type="text"
                  v-model="User"
                  placeholder="ชื่อผู้ใช้"
                ></b-form-input
              ></b-form-group>
            </div>
            <div class="d-flex flex-column pb-3">
              <b-form-group
                :valid-feedback="validFeedbackPassword"
                :invalid-feedback="invalidFeedbackPassword"
                :state="statePassword"
              >
                <b-form-input
                  id="text-password"
                  type="password"
                  v-model="Password"
                  placeholder="รหัสผ่าน"
                >
                </b-form-input
              ></b-form-group>
            </div>
            <div class="d-flex jusity-content-end pb-4">
              <div class="ml-auto">
                <a href="#" class="text-primary text-decoration-none"
                  >ลืมรหัสผ่าน?</a
                >
              </div>
            </div>
            <button type="button" class="btn btn-info btn-block mb-3">
              เข้าสู่ระบบ
            </button>
            <button type="reset" class="btn btn-danger btn-block mb-3">
              ยกเลิก
            </button>

            <div class="register mt-5">
              <p class="textRegister">
                ยังไม่ได้เป็นสมาชิก<br />
                คุณต้องการ
                <router-link to="/register">สมัครสมาชิก</router-link> หรือไม่
              </p>
            </div>
          </form>
        </div>
        <div class="mt-3 mt-md-5" v-if="statusLoginCompany === true">
          <h5 class="textH5" id="textheader">เข้าสู่ระบบสำหรับบริษัท</h5>
          <form class="pt-4">
            <div class="d-flex flex-column pb-3">
              <b-form-group
                :valid-feedback="validFeedbackUser"
                :invalid-feedback="invalidFeedbackUser"
                :state="stateUser"
                ><b-form-input
                  id="text-user"
                  type="text"
                  v-model="User"
                  placeholder="ชื่อผู้ใช้"
                ></b-form-input
              ></b-form-group>
            </div>
            <div class="d-flex flex-column pb-3">
              <b-form-group
                :valid-feedback="validFeedbackPassword"
                :invalid-feedback="invalidFeedbackPassword"
                :state="statePassword"
              >
                <b-form-input
                  id="text-password"
                  type="password"
                  v-model="Password"
                  placeholder="รหัสผ่าน"
                >
                </b-form-input
              ></b-form-group>
            </div>
            <div class="d-flex jusity-content-end pb-4">
              <div class="ml-auto">
                <a href="#" class="text-primary text-decoration-none"
                  >ลืมรหัสผ่าน?</a
                >
              </div>
            </div>
            <button type="button" class="btn btn-info btn-block mb-3">
              เข้าสู่ระบบ
            </button>
            <button type="reset" class="btn btn-danger btn-block mb-3">
              ยกเลิก
            </button>

            <div class="register mt-5">
              <p class="textRegister">
                ยังไม่ได้เป็นสมาชิก<br />
                คุณต้องการ
                <router-link to="/register">สมัครสมาชิก</router-link> หรือไม่
              </p>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data () {
    return {
      User: '',
      Password: '',
      statusLoginPerson: true,
      statusLoginCompany: false
    }
  },
  methods: {
    changeStatusPerson () {
      this.statusLoginPerson = true
      if (this.statusLoginPerson === true) {
        document.getElementById('btnuser').style.backgroundColor = '#b9b7b7'
        document.getElementById('btncompany').style.backgroundColor = 'white'
      }
      this.statusLoginCompany = false
    },
    changeStatusCompany () {
      this.statusLoginCompany = true
      if (this.statusLoginCompany === true) {
        document.getElementById('btncompany').style.backgroundColor = '#b9b7b7'
        document.getElementById('btnuser').style.backgroundColor = 'white'
      }
      this.statusLoginPerson = false
    }
  },
  computed: {
    stateUser () {
      return this.User.length >= 10 && this.User.length <= 16
    },
    invalidFeedbackUser () {
      if (this.User.length === 0) {
        return 'กรุณากรอกชื่อผู้ใช้งาน'
      } else if (this.User.length > 16) {
        return 'กรุณากรอกชื่อผู้ใช้งานที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
      }
      return 'กรุณากรอกชื่อผู้ใช้งาน'
    },
    validFeedbackUser () {
      return this.User.length >= 10 && this.User.length <= 16 ? 'สำเร็จ' : ''
    },
    statePassword () {
      return this.Password.length >= 8 && this.Password.length <= 16
    },
    invalidFeedbackPassword () {
      if (this.Password.length === 0) {
        return 'กรุณากรอกรหัสผ่าน'
      } else if (this.Password.length > 16) {
        return 'กรุณากรอกรหัสผ่านที่มีความยาวน้อยกว่าหรือเท่ากับ 16 ตัวอักษร'
      }
      return 'กรุณากรอกรหัสผ่าน'
    },
    validFeedbackPassword () {
      return this.Password.length >= 8 && this.Password.length <= 20
        ? 'สำเร็จ'
        : ''
    }
  }
}
</script>
<style>
#Containerlogin {
  border: solid 1px;
  padding-left: 0px;
  padding-right: 0px;
  margin-left: 280px;
}
h5.textH5 {
  text-align: center;
}
form.pt-4 {
  padding-left: 20px;
  padding-right: 20px;
}
.Inputname {
  border-radius: 10px;
  height: 50px;
  padding: 20px;
}
.Inputpassword {
  border-radius: 10px;
  height: 50px;
  padding: 20px;
}
button.btn.btn-info {
  font-size: 20px;
  border-radius: 10px;
}
button.btn.btn-warning {
  font-size: 20px;
  border-radius: 10px;
  color: white;
}
button.btn.btn-danger {
  font-size: 20px;
  border-radius: 10px;
}
p.textRegister {
  text-align: center;
}
a.Colorlink {
  color: orange;
}
button.User {
  width: 50%;
  height: 40px;
  font-size: 20px;
  background-color: #b9b7b7;
  border: solid 1px;
}
button.Company {
  width: 50%;
  height: 40px;
  font-size: 20px;
  background-color: white;
  border: solid 1px;
}
</style>
